pcl::detail::AccumulatorCurvature Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_curvature< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorCurvature ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t n) const

## Public Attributes

float | curvature

## Detailed Description

Definition at line 119 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

typedef pcl::traits::has_curvature<boost::mpl::_1> pcl::detail::AccumulatorCurvature::IsCompatible

Definition at line 123 of file accumulators.hpp.

## Constructor & Destructor Documentation

## AccumulatorCurvature()

pcl::detail::AccumulatorCurvature::AccumulatorCurvature | ( |  | ) |

inline

Definition at line 128 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorCurvature::add | ( | const PointT & | t | ) |

inline

Definition at line 131 of file accumulators.hpp.

## get()

template<typename PointT >

void pcl::detail::AccumulatorCurvature::get | ( | PointT & | t,
|  | size_t | n
| ) |  | const

inline

Definition at line 134 of file accumulators.hpp.

## Member Data Documentation

## curvature

float pcl::detail::AccumulatorCurvature::curvature

Definition at line 126 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/common/impl/accumulators.hpp